Blue Guardrails

Get Evaluator

Get one evaluator in the current auth_context.

GET
/v1/evaluators/{evaluator_id}

Path Parameters

evaluator_id*string
Formatuuid

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://loading/v1/evaluators/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",
  "name": "string",
  "description": "string",
  "labels": [
    {
      "name": "string",
      "description": "string"
    }
  ],
  "trigger_kinds": [
    "system"
  ],
  "run_scope": "trigger_only",
  "domain_context": "string",
  "system_key": "string",
  "is_active": true,
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}